Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.common
Class DisplayNameSetImpl

    java.lang.Object
      org.jasig.portal.container.om.common.DisplayNameSetImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.common.DisplayNameSet, org.apache.pluto.om.Model

    public class DisplayNameSetImpl

extends java.lang.Object
implements org.apache.pluto.om.common.DisplayNameSet, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.2 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`(package private) java.util.Map` | `displayNames`

Constructor Summary
`DisplayNameSetImpl()`

Method Summary
`void` | `add(org.apache.pluto.om.common.DisplayName displayName)`
`void` | `add(java.lang.String displayName, java.util.Locale locale)`
`org.apache.pluto.om.common.DisplayName` | `get(java.util.Locale locale)`
`java.util.Iterator` | `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### displayNames

    java.util.Map displayNames

Constructor Detail

### DisplayNameSetImpl

    public DisplayNameSetImpl()

Method Detail

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `org.apache.pluto.om.common.DisplayNameSet`

### get

    public org.apache.pluto.om.common.DisplayName get(java.util.Locale locale)

  Specified by:
    `get` in interface `org.apache.pluto.om.common.DisplayNameSet`

### add

    public void add(java.lang.String displayName,
                    java.util.Locale locale)

### add

    public void add(org.apache.pluto.om.common.DisplayName displayName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD